<?php
add_event_handler('loc_end_index_thumbnails', 'media_icon_thumbnails');

function media_icon_thumbnails($tpl_thumbnails_var) {
	global $template;

	add_event_handler('loc_end_page_header', 'media_icon_css');
	
	$template->set_prefilter('index_thumbnails', 'media_icon_prefilter_thumbnails');
	
	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon.tpl');
	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('media_icon_template', true));
	
	return $tpl_thumbnails_var;
}

function media_icon_prefilter_thumbnails($content, &$smarty) {
	global $template;

	$search = 'class="thumbnail"';
	
	$replacement = 'class="thumbnail" media_icon="{$thumbnail.file}"';
	$content= str_replace($search, $replacement, $content);

	return $content;
}

function media_icon_css() {
	global $template, $conf;
	
	$conf_media_icon = unserialize($conf['media_icon']);
	
	//add a stylesheet
	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon['style'].'_media_icon.css">');
}
?>